#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ibcm_reject_msg, "", "");
KSYMTAB_FUNC(ib_create_cm_id, "", "");
KSYMTAB_FUNC(ib_destroy_cm_id, "", "");
KSYMTAB_FUNC(ib_cm_listen, "", "");
KSYMTAB_FUNC(ib_cm_insert_listen, "", "");
KSYMTAB_FUNC(ib_send_cm_req, "", "");
KSYMTAB_FUNC(ib_send_cm_rep, "", "");
KSYMTAB_FUNC(ib_send_cm_rtu, "", "");
KSYMTAB_FUNC(ib_send_cm_dreq, "", "");
KSYMTAB_FUNC(ib_send_cm_drep, "", "");
KSYMTAB_FUNC(ib_send_cm_rej, "", "");
KSYMTAB_FUNC(ib_send_cm_mra, "", "");
KSYMTAB_FUNC(ib_send_cm_sidr_req, "", "");
KSYMTAB_FUNC(ib_send_cm_sidr_rep, "", "");
KSYMTAB_FUNC(ib_cm_notify, "", "");
KSYMTAB_FUNC(ib_cm_init_qp_attr, "", "");

SYMBOL_CRC(ibcm_reject_msg, 0x69824a14, "");
SYMBOL_CRC(ib_create_cm_id, 0xc5f9d080, "");
SYMBOL_CRC(ib_destroy_cm_id, 0xf1165605, "");
SYMBOL_CRC(ib_cm_listen, 0xc261a03f, "");
SYMBOL_CRC(ib_cm_insert_listen, 0xb7bf3610, "");
SYMBOL_CRC(ib_send_cm_req, 0x33e16761, "");
SYMBOL_CRC(ib_send_cm_rep, 0x1f8af460, "");
SYMBOL_CRC(ib_send_cm_rtu, 0x26392d2b, "");
SYMBOL_CRC(ib_send_cm_dreq, 0xf3510846, "");
SYMBOL_CRC(ib_send_cm_drep, 0xdc7ce249, "");
SYMBOL_CRC(ib_send_cm_rej, 0xdf30729b, "");
SYMBOL_CRC(ib_send_cm_mra, 0x6504830f, "");
SYMBOL_CRC(ib_send_cm_sidr_req, 0xafe310e2, "");
SYMBOL_CRC(ib_send_cm_sidr_rep, 0x0db85b4b, "");
SYMBOL_CRC(ib_cm_notify, 0x8535f316, "");
SYMBOL_CRC(ib_cm_init_qp_attr, 0xc7e546d7, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2626a396, "ib_unregister_client" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x262a0719, "ib_init_ah_attr_from_path" },
	{ 0xff8b56a9, "wait_for_completion_timeout" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0xaca0aef0, "complete" },
	{ 0x3bf91973, "trace_raw_output_prep" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0xab2e4c54, "__trace_trigger_soft_disabled" },
	{ 0xa59b5f9c, "trace_event_printf" },
	{ 0x98dc77b9, "trace_event_raw_init" },
	{ 0x98b705ac, "trace_print_symbols_seq" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x159e06b7, "rdma_query_gid" },
	{ 0xcba5defd, "ib_port_register_client_groups" },
	{ 0x4f5d2688, "ib_modify_port" },
	{ 0x3bafaf0a, "bpf_trace_run2" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x29734170, "trace_event_buffer_commit" },
	{ 0xf203533b, "rdma_create_ah" },
	{ 0x15af3df1, "ib_init_ah_attr_from_wc" },
	{ 0xfd65711b, "ib_find_cached_pkey" },
	{ 0x20592c6f, "arch_write_lock_wait" },
	{ 0x92997ed8, "_printk" },
	{ 0xf4c3ce01, "___ratelimit" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x64d26620, "ib_register_client" },
	{ 0x799cdc63, "ib_unregister_mad_agent" },
	{ 0xb3281a5b, "ib_post_send_mad" },
	{ 0xf75e39d4, "ib_create_send_mad" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0xb582e744, "perf_trace_run_bpf_submit" },
	{ 0x6e2da197, "arch_read_lock_wait" },
	{ 0xebb3504d, "rdma_destroy_ah_attr" },
	{ 0x828dd108, "ib_set_client_data" },
	{ 0xeda9bf8d, "ib_get_cached_pkey" },
	{ 0x5b745a3d, "xa_load" },
	{ 0xfbf203e7, "rdma_put_gid_attr" },
	{ 0xd8fea321, "__xa_alloc_cyclic" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x887773b0, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x84d7e8, "bpf_trace_run1" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x5ce71a43, "_dev_warn" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x797f13ad, "kmemdup_noprof" },
	{ 0xd88d88cc, "rdma_destroy_ah_user" },
	{ 0x615a581c, "ib_free_send_mad" },
	{ 0xd5134c41, "ib_port_unregister_client_groups" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x99ca74a6, "xa_erase" },
	{ 0x6397b05e, "bpf_trace_run3" },
	{ 0x67363a97, "rdma_move_ah_attr" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x9432d220, "trace_event_buffer_reserve" },
	{ 0x27ca687, "rdma_find_gid" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xa06c1497, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe70e184a, "xa_store" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x6e0c1346, "ib_free_recv_mad" },
	{ 0xa5e24d76, "ib_register_mad_agent" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x83e1b751, "ib_modify_mad" },
	{ 0xac9c65c1, "ib_create_ah_from_wc" },
	{ 0xff557e80, "trace_handle_return" },
	{ 0x43897f0e, "kmalloc_caches" },
	{ 0x68c9bdfc, "module_layout" },
};

MODULE_INFO(depends, "ib_core");


MODULE_INFO(srcversion, "7601025A36756CEEBC27401");
MODULE_INFO(rhelversion, "10.1");
