#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(vfio_pci_core_enable, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_disable, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_close_device, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_finish_enable, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_register_dev_region, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_ioctl, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_ioctl_feature, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_read, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_write, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_mmap, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_request, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_match, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_init_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_release_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_register_device, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_unregister_device, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_aer_err_detected, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_sriov_configure, "_gpl", "");
KSYMTAB_DATA(vfio_pci_core_err_handlers, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_set_params, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_iowrite8, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_iowrite16, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_iowrite32, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_iowrite64, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_ioread8, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_ioread16, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_ioread32, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_ioread64, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_do_io_rw, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_setup_barmap, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_range_intersect_range, "_gpl", "");

SYMBOL_CRC(vfio_pci_core_enable, 0x20dfb067, "_gpl");
SYMBOL_CRC(vfio_pci_core_disable, 0x070ea646, "_gpl");
SYMBOL_CRC(vfio_pci_core_close_device, 0xd4dcf4c4, "_gpl");
SYMBOL_CRC(vfio_pci_core_finish_enable, 0x1ed9b049, "_gpl");
SYMBOL_CRC(vfio_pci_core_register_dev_region, 0x14844736, "_gpl");
SYMBOL_CRC(vfio_pci_core_ioctl, 0xb5194555, "_gpl");
SYMBOL_CRC(vfio_pci_core_ioctl_feature, 0x50bf2ccc, "_gpl");
SYMBOL_CRC(vfio_pci_core_read, 0xf43b05bd, "_gpl");
SYMBOL_CRC(vfio_pci_core_write, 0xffd4ba0e, "_gpl");
SYMBOL_CRC(vfio_pci_core_mmap, 0x7c349b34, "_gpl");
SYMBOL_CRC(vfio_pci_core_request, 0x11639f51, "_gpl");
SYMBOL_CRC(vfio_pci_core_match, 0x546dc395, "_gpl");
SYMBOL_CRC(vfio_pci_core_init_dev, 0x7118f204, "_gpl");
SYMBOL_CRC(vfio_pci_core_release_dev, 0xb19c4f4d, "_gpl");
SYMBOL_CRC(vfio_pci_core_register_device, 0x58108903, "_gpl");
SYMBOL_CRC(vfio_pci_core_unregister_device, 0xaa9bc6d4, "_gpl");
SYMBOL_CRC(vfio_pci_core_aer_err_detected, 0x7eb6e890, "_gpl");
SYMBOL_CRC(vfio_pci_core_sriov_configure, 0x23dbe8dc, "_gpl");
SYMBOL_CRC(vfio_pci_core_err_handlers, 0x4f247e1a, "_gpl");
SYMBOL_CRC(vfio_pci_core_set_params, 0x4cf699b8, "_gpl");
SYMBOL_CRC(vfio_pci_core_iowrite8, 0x82100d31, "_gpl");
SYMBOL_CRC(vfio_pci_core_iowrite16, 0xf6636ffe, "_gpl");
SYMBOL_CRC(vfio_pci_core_iowrite32, 0x390def32, "_gpl");
SYMBOL_CRC(vfio_pci_core_iowrite64, 0x67bee566, "_gpl");
SYMBOL_CRC(vfio_pci_core_ioread8, 0x368111d8, "_gpl");
SYMBOL_CRC(vfio_pci_core_ioread16, 0x15e53751, "_gpl");
SYMBOL_CRC(vfio_pci_core_ioread32, 0x9f12e35d, "_gpl");
SYMBOL_CRC(vfio_pci_core_ioread64, 0xa110cca0, "_gpl");
SYMBOL_CRC(vfio_pci_core_do_io_rw, 0xc0277ab9, "_gpl");
SYMBOL_CRC(vfio_pci_core_setup_barmap, 0xda2edbb2, "_gpl");
SYMBOL_CRC(vfio_pci_core_range_intersect_range, 0x7810f373, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc320e347, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x5c900cce, "vmf_insert_pfn" },
	{ 0xbf9a5a1e, "__init_rwsem" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x340c6c54, "pci_read_vpd" },
	{ 0x279691f2, "bus_unregister_notifier" },
	{ 0x8264b469, "pci_request_selected_regions" },
	{ 0xe1e120e2, "pci_release_selected_regions" },
	{ 0x87666889, "pci_user_write_config_byte" },
	{ 0x5779097c, "pci_enable_device" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0xab95c127, "pci_bus_max_busnr" },
	{ 0xb550f97c, "pci_check_and_mask_intx" },
	{ 0x5f722b8, "pci_iomap" },
	{ 0x4232a0c3, "vfio_info_cap_shift" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0xd9718c76, "pci_alloc_irq_vectors" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0xaf8a4a7f, "vfio_set_irqs_validate_and_prepare" },
	{ 0xaa474382, "pci_enable_atomic_ops_to_root" },
	{ 0xd3af979c, "memdup_user" },
	{ 0x287b595, "pci_dev_put" },
	{ 0x6aed56c7, "iommu_group_get" },
	{ 0x8bded20f, "zpci_load" },
	{ 0x2a3b7087, "vfio_virqfd_disable" },
	{ 0x76873478, "vfio_iommufd_get_dev_id" },
	{ 0xb4b97101, "fget" },
	{ 0xedc03953, "iounmap" },
	{ 0xdfba5582, "pci_num_vf" },
	{ 0x236c8c64, "memcpy" },
	{ 0x51b5b9d2, "unmap_mapping_range" },
	{ 0xd20d67d, "pci_user_read_config_dword" },
	{ 0x37a0cba, "kfree" },
	{ 0x51a055bd, "pci_user_read_config_word" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0xaef40bcb, "pci_probe_reset_bus" },
	{ 0x5acb8c5a, "pci_probe_reset_slot" },
	{ 0xe565f4f9, "pci_set_power_state" },
	{ 0xa16143a7, "pci_irq_vector" },
	{ 0xb786bf75, "pci_write_msi_msg" },
	{ 0x89485687, "iommu_group_put" },
	{ 0xe4a27001, "__dynamic_dev_dbg" },
	{ 0x4b8f4e7a, "down_read_trylock" },
	{ 0x9f665f4d, "pci_read_config_dword" },
	{ 0xb59c32ab, "pci_domain_nr" },
	{ 0xf4c3ce01, "___ratelimit" },
	{ 0xda1e4c1b, "pci_intx" },
	{ 0x45108db3, "pci_user_write_config_word" },
	{ 0x8f3613b2, "vfio_iommufd_device_ictx" },
	{ 0x6d264e73, "bus_register_notifier" },
	{ 0x2cf522c5, "_dev_info" },
	{ 0x26993dea, "vfio_file_is_group" },
	{ 0x7dc8ce69, "pci_msix_can_alloc_dyn" },
	{ 0xd6be989a, "vfio_file_has_dev" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xcfb06591, "pci_clear_master" },
	{ 0x9a9ba109, "__pci_reset_function_locked" },
	{ 0x7277eaba, "zpci_kvm_hook" },
	{ 0x6e7943ec, "iommu_group_id" },
	{ 0x69e683de, "uuid_gen" },
	{ 0xc7affca3, "fput" },
	{ 0xd3cf1c01, "down_write" },
	{ 0xd2510a63, "up_write" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x5b745a3d, "xa_load" },
	{ 0x418873cc, "irq_bypass_register_producer" },
	{ 0x44cc633b, "pci_write_vpd" },
	{ 0xd950ebb3, "vfio_virqfd_enable" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0xe70a6e57, "pci_read_config_word" },
	{ 0x85abc85f, "strncmp" },
	{ 0xce8a1998, "vfio_unregister_group_dev" },
	{ 0x6caac13c, "pci_map_rom" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xd67364f7, "eventfd_ctx_fdget" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0xd81ddf9e, "pci_store_saved_state" },
	{ 0x13640660, "get_cached_msi_msg" },
	{ 0x70d20262, "pci_iounmap" },
	{ 0xbde60404, "pci_restore_state" },
	{ 0x5ce71a43, "_dev_warn" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x5b9b648f, "pcie_get_mps" },
	{ 0x6ef16cc8, "pci_dev_trylock" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x868bde1d, "down_write_trylock" },
	{ 0x103bafd6, "down_read" },
	{ 0xf3411eb8, "vfio_info_add_capability" },
	{ 0xe582ba17, "pci_dev_driver" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x6c041e19, "__xa_insert" },
	{ 0x99ca74a6, "xa_erase" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0x88f51b69, "vfio_find_device_in_devset" },
	{ 0xf6e772c3, "irq_bypass_unregister_producer" },
	{ 0x775c3c92, "_dev_notice" },
	{ 0x16b69bc8, "zpci_store" },
	{ 0xc9a2fc99, "pci_reset_bus" },
	{ 0xb8945baa, "vfio_register_group_dev" },
	{ 0xd5114182, "vfio_assign_device_set" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x34888308, "pci_user_read_config_byte" },
	{ 0x2a99903d, "pci_try_reset_function" },
	{ 0x42ae6d99, "xa_find" },
	{ 0x31b52d25, "pci_get_class" },
	{ 0xa06c1497, "__kmalloc_cache_noprof" },
	{ 0xf1080fd1, "pci_user_write_config_dword" },
	{ 0xa6d433df, "pcie_capability_read_dword" },
	{ 0xe358ad42, "pci_load_and_free_saved_state" },
	{ 0xad16d3d5, "pci_disable_sriov" },
	{ 0xc6984055, "vfio_device_set_open_count" },
	{ 0x256d5977, "pci_disable_device" },
	{ 0x1be7119d, "pci_match_id" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x71cb884a, "pci_check_and_unmask_intx" },
	{ 0xc62b7ec, "pcie_set_readrq" },
	{ 0x889e414f, "__s390_indirect_jump_r11" },
	{ 0x20d60ce6, "pci_walk_bus" },
	{ 0x71e92899, "pci_msix_alloc_irq_at" },
	{ 0x429dcdc0, "xa_find_after" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0x8a7a02, "pci_unmap_rom" },
	{ 0x6309cf74, "pci_read_config_byte" },
	{ 0xc5e74216, "release_resource" },
	{ 0x8b0c359a, "pci_dev_unlock" },
	{ 0x703630d6, "pci_write_config_word" },
	{ 0x89a09837, "ioremap_prot" },
	{ 0xc10e997, "eventfd_signal_mask" },
	{ 0x913c1ac7, "pci_free_irq_vectors" },
	{ 0xba813b2f, "pci_enable_sriov" },
	{ 0x555ccb97, "up_read" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0xdd04ff23, "vfio_virqfd_flush_thread" },
	{ 0x1917f330, "pci_bus_type" },
	{ 0x43897f0e, "kmalloc_caches" },
	{ 0x98b541c8, "krealloc_noprof" },
	{ 0x68c9bdfc, "module_layout" },
};

MODULE_INFO(depends, "vfio,irqbypass");


MODULE_INFO(srcversion, "491BDC0D122C327F8C4C051");
MODULE_INFO(rhelversion, "10.1");
