#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(smc_proto, "_gpl", "");
KSYMTAB_DATA(smc_proto6, "_gpl", "");
KSYMTAB_DATA(__tracepoint_smc_switch_to_fallback, "", "");
KSYMTAB_FUNC(__traceiter_smc_switch_to_fallback, "", "");
KSYMTAB_DATA(__SCK__tp_func_smc_switch_to_fallback, "", "");
KSYMTAB_DATA(__tracepoint_smc_tx_sendmsg, "", "");
KSYMTAB_FUNC(__traceiter_smc_tx_sendmsg, "", "");
KSYMTAB_DATA(__SCK__tp_func_smc_tx_sendmsg, "", "");
KSYMTAB_DATA(__tracepoint_smc_rx_recvmsg, "", "");
KSYMTAB_FUNC(__traceiter_smc_rx_recvmsg, "", "");
KSYMTAB_DATA(__SCK__tp_func_smc_rx_recvmsg, "", "");
KSYMTAB_DATA(__tracepoint_smcr_link_down, "", "");
KSYMTAB_FUNC(__traceiter_smcr_link_down, "", "");
KSYMTAB_DATA(__SCK__tp_func_smcr_link_down, "", "");

SYMBOL_CRC(smc_proto, 0xafa93095, "_gpl");
SYMBOL_CRC(smc_proto6, 0x753eb469, "_gpl");
SYMBOL_CRC(__tracepoint_smc_switch_to_fallback, 0xd24addfc, "");
SYMBOL_CRC(__traceiter_smc_switch_to_fallback, 0xbf3860cc, "");
SYMBOL_CRC(__SCK__tp_func_smc_switch_to_fallback, 0xfb8cae0f, "");
SYMBOL_CRC(__tracepoint_smc_tx_sendmsg, 0xf47b4ee2, "");
SYMBOL_CRC(__traceiter_smc_tx_sendmsg, 0x92123c29, "");
SYMBOL_CRC(__SCK__tp_func_smc_tx_sendmsg, 0xb3f2d173, "");
SYMBOL_CRC(__tracepoint_smc_rx_recvmsg, 0x76da5303, "");
SYMBOL_CRC(__traceiter_smc_rx_recvmsg, 0xbe8a6701, "");
SYMBOL_CRC(__SCK__tp_func_smc_rx_recvmsg, 0x3153cc92, "");
SYMBOL_CRC(__tracepoint_smcr_link_down, 0xa053541c, "");
SYMBOL_CRC(__traceiter_smcr_link_down, 0xf8119629, "");
SYMBOL_CRC(__SCK__tp_func_smcr_link_down, 0xe7dacb8d, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfd0d5e93, "netdev_lower_get_next" },
	{ 0x36e0d847, "security_sock_graft" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xcfb97f08, "sk_send_sigurg" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x4dd12f7f, "vmemmap" },
	{ 0xbf9a5a1e, "__init_rwsem" },
	{ 0x76273f54, "ism_register_client" },
	{ 0x2626a396, "ib_unregister_client" },
	{ 0xd8e6cb88, "_copy_to_iter" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x42694b99, "__nlmsg_put" },
	{ 0xab530661, "inet_unregister_protosw" },
	{ 0xb77e5d1d, "proc_dointvec_jiffies" },
	{ 0x19738e75, "pnet_id_by_dev_port" },
	{ 0xc4601bcd, "devm_kmalloc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0x77bc13a0, "strim" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x670dc572, "vmalloc_to_page" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0x98de1c15, "snprintf" },
	{ 0x1bb51249, "tcp_have_smc" },
	{ 0xaca0aef0, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x81a7f541, "percpu_ref_init" },
	{ 0x3bf91973, "trace_raw_output_prep" },
	{ 0xf3d2160, "rdma_read_gid_l2_fields" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0xfe70de3, "nla_put_64bit" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xca9360b5, "rb_next" },
	{ 0x7afd9aba, "__ib_alloc_pd" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0x53eea870, "inet6_unregister_protosw" },
	{ 0xab2e4c54, "__trace_trigger_soft_disabled" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0xff33aed4, "dma_unmap_page_attrs" },
	{ 0xa59b5f9c, "trace_event_printf" },
	{ 0x173b2b4, "__dma_need_sync" },
	{ 0x78024d7f, "kernel_bind" },
	{ 0xc06fa7e0, "add_wait_queue_exclusive" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x13fb4f98, "genlmsg_put" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x98dc77b9, "trace_event_raw_init" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xdc52dad3, "inet_register_protosw" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0x7f4c565b, "add_wait_queue" },
	{ 0x5cb33da0, "ib_dereg_mr_user" },
	{ 0xe6aef439, "__tracepoint_sk_data_ready" },
	{ 0x3bafaf0a, "bpf_trace_run2" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x7a55bbc7, "kernel_accept" },
	{ 0xb5d65abd, "rdma_dev_access_netns" },
	{ 0x390ad215, "__module_get" },
	{ 0xcd91b127, "system_highpri_wq" },
	{ 0xc9b3473d, "ip_route_output_flow" },
	{ 0xcdf58279, "get_device" },
	{ 0x266ab1b5, "sk_stream_error" },
	{ 0x2848ed29, "ib_query_qp" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x7b4b1b30, "sock_alloc" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0x1ed4d2eb, "percpu_ref_kill_and_confirm" },
	{ 0xa52c6e81, "sk_error_report" },
	{ 0x7156c37, "register_pernet_subsys" },
	{ 0x8f2ead69, "dev_driver_string" },
	{ 0x29734170, "trace_event_buffer_commit" },
	{ 0xb912560d, "static_key_disable" },
	{ 0x639dc5ba, "register_net_sysctl_sz" },
	{ 0xda374a0f, "tcp_abort" },
	{ 0x6331b55, "rdma_read_gid_attr_ndev_rcu" },
	{ 0xc0d5eaec, "vm_layout" },
	{ 0xcd0c29d2, "wait_for_completion_interruptible_timeout" },
	{ 0x7a99a840, "dma_map_page_attrs" },
	{ 0x20592c6f, "arch_write_lock_wait" },
	{ 0x8d9fc93e, "splice_to_pipe" },
	{ 0x92997ed8, "_printk" },
	{ 0xf97bce41, "proto_unregister" },
	{ 0xf4c3ce01, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x552bb2cf, "sock_register" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xb60362d0, "put_device" },
	{ 0x959a6459, "__kmalloc_large_noprof" },
	{ 0x3517383e, "register_reboot_notifier" },
	{ 0x5602acc4, "ib_register_event_handler" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0xaddf0aea, "__alloc_skb" },
	{ 0x554bf13, "__free_pages" },
	{ 0x577fbd0e, "ib_unregister_event_handler" },
	{ 0x2bddc483, "proto_register" },
	{ 0xf0a67578, "tcp_unregister_ulp" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x4f91fd51, "__wake_up_sync_key" },
	{ 0x64d26620, "ib_register_client" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0xb3f985a8, "sg_alloc_table" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xac1a55be, "unregister_reboot_notifier" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0xff47a627, "ib_map_mr_sg" },
	{ 0x37bf7be3, "percpu_ref_exit" },
	{ 0xd505afd2, "__dma_sync_single_for_cpu" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xc3bd5253, "generic_pipe_buf_get" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0xb582e744, "perf_trace_run_bpf_submit" },
	{ 0x6e2da197, "arch_read_lock_wait" },
	{ 0x828dd108, "ib_set_client_data" },
	{ 0xd3cf1c01, "down_write" },
	{ 0x5e8587c, "__traceiter_sk_data_ready" },
	{ 0x1d32233b, "init_net" },
	{ 0xd2510a63, "up_write" },
	{ 0xfb0ca453, "sk_skb_reason_drop" },
	{ 0x216af396, "netlink_unicast" },
	{ 0xfbf203e7, "rdma_put_gid_attr" },
	{ 0x838890ce, "ism_get_smcd_ops" },
	{ 0x33063c01, "kernel_getsockname" },
	{ 0xd621d7da, "sk_free" },
	{ 0xe40a7e05, "sock_wake_async" },
	{ 0x775108bf, "kernel_sock_shutdown" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x54044441, "ib_query_port" },
	{ 0x85abc85f, "strncmp" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0xff182e8, "nla_put" },
	{ 0x887773b0, "trace_event_reg" },
	{ 0xad4aee39, "strncpy" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x813e338d, "proc_douintvec_minmax" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x8d8a00c9, "iov_iter_kvec" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x86169ec4, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0xc957a614, "__ib_create_cq" },
	{ 0x11089ac7, "_ctype" },
	{ 0xdbb4d6b5, "sk_alloc" },
	{ 0xbaee5150, "ib_destroy_qp_user" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x39bae1be, "unregister_pernet_subsys" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0x1732e272, "kernel_connect" },
	{ 0x615fa5fe, "sock_no_socketpair" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xc7dbd211, "sk_wait_data" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xbb2641f2, "proc_douintvec" },
	{ 0x531625b6, "wait_for_completion" },
	{ 0xd5099f7a, "ib_alloc_mr" },
	{ 0x797f13ad, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x8a56b5c0, "sock_no_mmap" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0xece784c2, "rb_first" },
	{ 0xc51e2ecb, "ib_destroy_cq_user" },
	{ 0x103bafd6, "down_read" },
	{ 0x30184623, "skb_trim" },
	{ 0x30591144, "ib_modify_qp" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xe798236d, "jiffies" },
	{ 0x3d50403, "tcp_register_ulp" },
	{ 0xd096486e, "sk_common_release" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7787cd8b, "ib_device_get_netdev" },
	{ 0xe7f93125, "kernel_listen" },
	{ 0x19a3d923, "ib_dma_virt_map_sg" },
	{ 0x1c0307f, "neigh_destroy" },
	{ 0xb0fd1aef, "pcpu_alloc_noprof" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x9432d220, "trace_event_buffer_reserve" },
	{ 0x33b96a2a, "ism_unregister_client" },
	{ 0x4f894c9c, "inet6_register_protosw" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xdfcc992c, "current_work" },
	{ 0xcbe7491, "sock_create_kern" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xd699243, "__dma_sync_single_for_device" },
	{ 0xa26d9b4f, "workqueue_congested" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x71f13c2d, "__folio_put" },
	{ 0xa06c1497, "__kmalloc_cache_noprof" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x3c8c073c, "sock_recvmsg" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xaa975bdc, "dev_get_by_name" },
	{ 0xb8ce8fd4, "dst_release" },
	{ 0xc3fc108f, "sk_stream_wait_connect" },
	{ 0xa42e72cc, "_copy_from_iter" },
	{ 0x4c6cfbc3, "sock_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xd9a6d66b, "alloc_pages_noprof" },
	{ 0x4ec55b1d, "ib_create_qp_kernel" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0xbfd9f046, "remove_wait_queue" },
	{ 0x6264cbc3, "netdev_walk_all_lower_dev" },
	{ 0x889e414f, "__s390_indirect_jump_r11" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x3a00b55d, "vlan_dev_vlan_id" },
	{ 0xaf20cf28, "unregister_net_sysctl_table" },
	{ 0xfbd4e12, "ib_dealloc_pd_user" },
	{ 0x52ddd297, "rdma_get_gid_attr" },
	{ 0xa9766835, "dma_unmap_sg_attrs" },
	{ 0x67ec2d28, "genl_unregister_family" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x26473b29, "iov_iter_revert" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0xde37c866, "genl_register_family" },
	{ 0xe39ab1e6, "kernel_sendmsg" },
	{ 0xff557e80, "trace_handle_return" },
	{ 0x555ccb97, "up_read" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0x632c4e0a, "sock_init_data" },
	{ 0x43897f0e, "kmalloc_caches" },
	{ 0xe387d73, "release_sock" },
	{ 0x93c84d2c, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x664846e8, "proc_dointvec_minmax" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0x68c9bdfc, "module_layout" },
};

MODULE_INFO(depends, "ism,ib_core,pnet");


MODULE_INFO(srcversion, "16BF2EE87A8CF0360959EA9");
MODULE_INFO(rhelversion, "10.1");
