#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(g_token_size, "_gpl", "");
KSYMTAB_FUNC(g_make_token_header, "_gpl", "");
KSYMTAB_FUNC(g_verify_token_header, "_gpl", "");
KSYMTAB_FUNC(gss_mech_register, "_gpl", "");
KSYMTAB_FUNC(gss_mech_unregister, "_gpl", "");
KSYMTAB_FUNC(gss_mech_get, "", "");
KSYMTAB_FUNC(gss_pseudoflavor_to_service, "", "");
KSYMTAB_FUNC(gss_mech_put, "", "");
KSYMTAB_FUNC(svcauth_gss_flavor, "_gpl", "");
KSYMTAB_FUNC(svcauth_gss_register_pseudoflavor, "_gpl", "");

SYMBOL_CRC(g_token_size, 0x482ac5a4, "_gpl");
SYMBOL_CRC(g_make_token_header, 0x38d3dce5, "_gpl");
SYMBOL_CRC(g_verify_token_header, 0xd7673035, "_gpl");
SYMBOL_CRC(gss_mech_register, 0x3ad6d3db, "_gpl");
SYMBOL_CRC(gss_mech_unregister, 0xdeb9b9d3, "_gpl");
SYMBOL_CRC(gss_mech_get, 0x23da7ddf, "");
SYMBOL_CRC(gss_pseudoflavor_to_service, 0xd68a702a, "");
SYMBOL_CRC(gss_mech_put, 0x61db9015, "");
SYMBOL_CRC(svcauth_gss_flavor, 0x746d0825, "_gpl");
SYMBOL_CRC(svcauth_gss_register_pseudoflavor, 0x925b26a9, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x27e6f616, "rpc_put_task" },
	{ 0xef464c28, "getboottime64" },
	{ 0xacfb26e0, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x4dd12f7f, "vmemmap" },
	{ 0x647db329, "rpc_find_or_alloc_pipe_dir_object" },
	{ 0x647acfa9, "xdr_buf_from_iov" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xed99c825, "bpf_trace_run4" },
	{ 0x27639daa, "xdr_stream_decode_opaque_auth" },
	{ 0xe2074243, "param_ops_uint" },
	{ 0x5eeccd04, "xdr_write_pages" },
	{ 0x8b108da5, "rpc_shutdown_client" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0xa9d94e37, "auth_domain_find" },
	{ 0xa3a5be95, "memmove" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x98de1c15, "snprintf" },
	{ 0xedd84d29, "xdr_inline_decode" },
	{ 0xc9aa7cef, "cache_create_net" },
	{ 0xc131faed, "rpcauth_destroy_credcache" },
	{ 0x3bf91973, "trace_raw_output_prep" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0xc2a773f2, "bpf_trace_run6" },
	{ 0xdc73d92b, "rpc_net_ns" },
	{ 0x23e0c16c, "read_bytes_from_xdr_buf" },
	{ 0xab2e4c54, "__trace_trigger_soft_disabled" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0x64d74e24, "rpc_wake_up" },
	{ 0xa59b5f9c, "trace_event_printf" },
	{ 0xbef53f33, "scnprintf" },
	{ 0x3f6093b, "sunrpc_cache_lookup_rcu" },
	{ 0x45b9877f, "prepare_to_wait" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x98dc77b9, "trace_event_raw_init" },
	{ 0x98b705ac, "trace_print_symbols_seq" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x233f5316, "sprint_oid" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0x4e8f6ca7, "sunrpc_net_id" },
	{ 0x737232a9, "proc_create_data" },
	{ 0xbbcec0b7, "groups_alloc" },
	{ 0x3bafaf0a, "bpf_trace_run2" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0x9bf8393a, "xdr_truncate_decode" },
	{ 0x8e236ef6, "rpcauth_unregister" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x12774271, "__xdr_commit_encode" },
	{ 0x390ad215, "__module_get" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0xa41ce154, "rpc_sleep_on" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0x3c04844d, "__put_cred" },
	{ 0x7156c37, "register_pernet_subsys" },
	{ 0x29734170, "trace_event_buffer_commit" },
	{ 0xc0d5eaec, "vm_layout" },
	{ 0xf7709237, "cache_purge" },
	{ 0x92997ed8, "_printk" },
	{ 0xa3743d9b, "rpc_release_client" },
	{ 0x565e8f58, "auth_domain_lookup" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xe0471cf1, "rpc_wake_up_status" },
	{ 0x4dac77f0, "xdr_encode_netobj" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xc14bf75b, "svc_auth_register" },
	{ 0xd5fdd30f, "xdr_stream_encode_opaque_auth" },
	{ 0xf8f8b538, "make_kuid" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0x7f28f78f, "rpc_destroy_pipe_data" },
	{ 0x554bf13, "__free_pages" },
	{ 0xf7e3d854, "rpc_pipe_generic_upcall" },
	{ 0x1f575580, "module_put" },
	{ 0x365e7911, "kstrdup_const" },
	{ 0x1a795df4, "cache_unregister_net" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xa2324953, "sunrpc_cache_unhash" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0xb582e744, "perf_trace_run_bpf_submit" },
	{ 0x433d332e, "rpcauth_lookup_credcache" },
	{ 0xc8e96dea, "qword_addhex" },
	{ 0xe8ba125d, "kmemdup_nul" },
	{ 0xe97f4ce5, "qword_get" },
	{ 0xc714d3c7, "rpcauth_init_credcache" },
	{ 0xb760c98e, "sunrpc_cache_pipe_upcall_timeout" },
	{ 0x9e97cd42, "xdr_init_decode" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0x887773b0, "trace_event_reg" },
	{ 0x7f386148, "rpc_call_null" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x2fa5a500, "memcmp" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x490477b8, "rpc_sleep_on_timeout" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0x9964113f, "rpc_create" },
	{ 0x84d7e8, "bpf_trace_run1" },
	{ 0x45f6101d, "rpc_call_sync" },
	{ 0xeb74b8ac, "from_kuid" },
	{ 0x39bae1be, "unregister_pernet_subsys" },
	{ 0xd7c12521, "rpc_queue_upcall" },
	{ 0x93dee44c, "xdr_encode_word" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x5cc5769a, "cache_check" },
	{ 0x31a89d59, "rpc_debug" },
	{ 0x797f13ad, "kmemdup_noprof" },
	{ 0xe9315c3b, "svcauth_unix_set_client" },
	{ 0xa8be1ce1, "xdr_buf_subsegment" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0xb5d3119d, "_atomic_dec_and_lock" },
	{ 0x725452ae, "make_kgid" },
	{ 0x3b8fa95b, "rpc_remove_pipe_dir_object" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0xf7cb8737, "xdr_reserve_space" },
	{ 0xe798236d, "jiffies" },
	{ 0x22d35b47, "nonseekable_open" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x6397b05e, "bpf_trace_run3" },
	{ 0x6eb151c4, "__put_net" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0x6a142fa4, "rpc_mkpipe_dentry" },
	{ 0x8677f3ce, "rpc_mkpipe_data" },
	{ 0x38735705, "gssd_running" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x9432d220, "trace_event_buffer_reserve" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x5f4a905c, "groups_free" },
	{ 0xaafdfc6b, "cache_register_net" },
	{ 0x8de96939, "init_user_ns" },
	{ 0x83827ba9, "xdr_inline_pages" },
	{ 0x71f13c2d, "__folio_put" },
	{ 0xda38255, "remove_proc_entry" },
	{ 0xa06c1497, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5a45ba31, "svc_auth_unregister" },
	{ 0x74db064d, "rpc_init_wait_queue" },
	{ 0x44a22182, "put_rpccred" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xd9a6d66b, "alloc_pages_noprof" },
	{ 0x4c29f627, "rpc_unlink" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x45310af2, "rpcauth_wrap_req_encode" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xf1307bf8, "groups_sort" },
	{ 0xd03e5eda, "from_kuid_munged" },
	{ 0x9f3b4465, "rpcauth_init_cred" },
	{ 0xe2577385, "xdr_decode_word" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x3abbaad9, "cache_destroy_net" },
	{ 0xb1f3ece3, "rpc_init_pipe_dir_object" },
	{ 0x349cba85, "strchr" },
	{ 0x5a5e7ea3, "simple_read_from_buffer" },
	{ 0x38cc148b, "xdr_stream_pos" },
	{ 0xff557e80, "trace_handle_return" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0x609202f9, "rpc_task_gfp_mask" },
	{ 0x836f5c14, "sunrpc_cache_update" },
	{ 0x63db3796, "xdr_truncate_encode" },
	{ 0x85d07771, "rpc_destroy_wait_queue" },
	{ 0x43897f0e, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x565e2b1c, "auth_domain_put" },
	{ 0xc5266eb2, "rpcauth_unwrap_resp_decode" },
	{ 0xacc790cd, "rpcauth_register" },
	{ 0x68c9bdfc, "module_layout" },
};

MODULE_INFO(depends, "sunrpc");


MODULE_INFO(srcversion, "F5791549E866A92F888AC3C");
MODULE_INFO(rhelversion, "10.1");
