#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(nfs41_sequence_done, "_gpl", "");
KSYMTAB_FUNC(nfs4_sequence_done, "_gpl", "");
KSYMTAB_FUNC(nfs4_setup_sequence, "_gpl", "");
KSYMTAB_FUNC(nfs4_set_rw_stateid, "_gpl", "");
KSYMTAB_FUNC(nfs4_test_session_trunk, "_gpl", "");
KSYMTAB_FUNC(nfs4_proc_getdeviceinfo, "_gpl", "");
KSYMTAB_DATA(nfs41_maxgetdevinfo_overhead, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_lease_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_migration_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_lease_moved_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_stateid_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_session_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs_remove_bad_delegation, "_gpl", "");
KSYMTAB_FUNC(nfs_map_string_to_numeric, "_gpl", "");
KSYMTAB_FUNC(nfs4_find_or_create_ds_client, "_gpl", "");
KSYMTAB_FUNC(nfs4_set_ds_client, "_gpl", "");
KSYMTAB_FUNC(nfs4_init_ds_session, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ff_layout_read_error, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ff_layout_read_error, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ff_layout_read_error, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ff_layout_write_error, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ff_layout_write_error, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ff_layout_write_error, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ff_layout_commit_error, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ff_layout_commit_error, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ff_layout_commit_error, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bl_pr_key_reg, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bl_pr_key_reg, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bl_pr_key_reg, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bl_pr_key_reg_err, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bl_pr_key_reg_err, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bl_pr_key_reg_err, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bl_pr_key_unreg, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bl_pr_key_unreg, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bl_pr_key_unreg, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bl_pr_key_unreg_err, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bl_pr_key_unreg_err, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bl_pr_key_unreg_err, "_gpl", "");
KSYMTAB_DATA(__tracepoint_fl_getdevinfo, "_gpl", "");
KSYMTAB_FUNC(__traceiter_fl_getdevinfo, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_fl_getdevinfo, "_gpl", "");
KSYMTAB_FUNC(pnfs_register_layoutdriver, "_gpl", "");
KSYMTAB_FUNC(pnfs_unregister_layoutdriver, "_gpl", "");
KSYMTAB_FUNC(pnfs_put_lseg, "_gpl", "");
KSYMTAB_FUNC(pnfs_destroy_layout, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_layout_insert_lseg, "_gpl", "");
KSYMTAB_FUNC(pnfs_update_layout, "_gpl", "");
KSYMTAB_FUNC(pnfs_error_mark_layout_for_return, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_check_layout, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_init_read, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_init_write, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_cleanup, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_test, "_gpl", "");
KSYMTAB_FUNC(pnfs_write_done_resend_to_mds, "_gpl", "");
KSYMTAB_FUNC(pnfs_ld_write_done, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_writepages, "_gpl", "");
KSYMTAB_FUNC(pnfs_read_done_resend_to_mds, "_gpl", "");
KSYMTAB_FUNC(pnfs_ld_read_done, "_gpl", "");
KSYMTAB_FUNC(pnfs_read_resend_pnfs, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_readpages, "_gpl", "");
KSYMTAB_FUNC(pnfs_set_lo_fail, "_gpl", "");
KSYMTAB_FUNC(pnfs_set_layoutcommit, "_gpl", "");
KSYMTAB_FUNC(pnfs_layoutcommit_inode, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_sync, "_gpl", "");
KSYMTAB_FUNC(pnfs_report_layoutstat, "_gpl", "");
KSYMTAB_DATA(layoutstats_timer, "_gpl", "");
KSYMTAB_FUNC(nfs4_print_deviceid, "_gpl", "");
KSYMTAB_FUNC(nfs4_find_get_deviceid, "_gpl", "");
KSYMTAB_FUNC(nfs4_delete_deviceid, "_gpl", "");
KSYMTAB_FUNC(nfs4_init_deviceid_node, "_gpl", "");
KSYMTAB_FUNC(nfs4_put_deviceid_node, "_gpl", "");
KSYMTAB_FUNC(nfs4_mark_deviceid_available, "_gpl", "");
KSYMTAB_FUNC(nfs4_mark_deviceid_unavailable, "_gpl", "");
KSYMTAB_FUNC(nfs4_test_deviceid_unavailable, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_rw_release, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_prepare_to_resend_writes, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_write_commit_done, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_commit_release, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_clear_request_commit, "_gpl", "");
KSYMTAB_FUNC(pnfs_alloc_commit_array, "_gpl", "");
KSYMTAB_FUNC(pnfs_free_commit_array, "_gpl", "");
KSYMTAB_FUNC(pnfs_add_commit_array, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_ds_cinfo_release_lseg, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_ds_cinfo_destroy, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_scan_commit_lists, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_recover_commit_reqs, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_commit_pagelist, "_gpl", "");
KSYMTAB_FUNC(nfs4_pnfs_ds_put, "_gpl", "");
KSYMTAB_FUNC(nfs4_pnfs_ds_add, "_gpl", "");
KSYMTAB_FUNC(nfs4_pnfs_ds_connect, "_gpl", "");
KSYMTAB_FUNC(nfs4_decode_mp_ds_addr, "_gpl", "");
KSYMTAB_FUNC(pnfs_layout_mark_request_commit, "_gpl", "");
KSYMTAB_FUNC(pnfs_nfs_generic_sync, "_gpl", "");
KSYMTAB_FUNC(nfs42_proc_layouterror, "_gpl", "");

SYMBOL_CRC(nfs41_sequence_done, 0x48ade77a, "_gpl");
SYMBOL_CRC(nfs4_sequence_done, 0xc0cc76cc, "_gpl");
SYMBOL_CRC(nfs4_setup_sequence, 0xc4080921, "_gpl");
SYMBOL_CRC(nfs4_set_rw_stateid, 0xe3b6fb04, "_gpl");
SYMBOL_CRC(nfs4_test_session_trunk, 0xb0fdc930, "_gpl");
SYMBOL_CRC(nfs4_proc_getdeviceinfo, 0x61ac05f6, "_gpl");
SYMBOL_CRC(nfs41_maxgetdevinfo_overhead, 0xf7801360, "_gpl");
SYMBOL_CRC(nfs4_schedule_lease_recovery, 0x78d89c7d, "_gpl");
SYMBOL_CRC(nfs4_schedule_migration_recovery, 0xaa7c4416, "_gpl");
SYMBOL_CRC(nfs4_schedule_lease_moved_recovery, 0xa61edcea, "_gpl");
SYMBOL_CRC(nfs4_schedule_stateid_recovery, 0xce5653d0, "_gpl");
SYMBOL_CRC(nfs4_schedule_session_recovery, 0xe7aa436a, "_gpl");
SYMBOL_CRC(nfs_remove_bad_delegation, 0xd7dba302, "_gpl");
SYMBOL_CRC(nfs_map_string_to_numeric, 0xc3331772, "_gpl");
SYMBOL_CRC(nfs4_find_or_create_ds_client, 0xbcd98b59, "_gpl");
SYMBOL_CRC(nfs4_set_ds_client, 0xb6750c3d, "_gpl");
SYMBOL_CRC(nfs4_init_ds_session, 0x330cf417, "_gpl");
SYMBOL_CRC(__tracepoint_nfs4_pnfs_read, 0x802046c5, "_gpl");
SYMBOL_CRC(__traceiter_nfs4_pnfs_read, 0xd813a51e, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs4_pnfs_read, 0xc7a9d954, "_gpl");
SYMBOL_CRC(__tracepoint_nfs4_pnfs_write, 0xd47333c2, "_gpl");
SYMBOL_CRC(__traceiter_nfs4_pnfs_write, 0x83772623, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs4_pnfs_write, 0x533c198f, "_gpl");
SYMBOL_CRC(__tracepoint_nfs4_pnfs_commit_ds, 0x02da1276, "_gpl");
SYMBOL_CRC(__traceiter_nfs4_pnfs_commit_ds, 0xf2dc0d34, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs4_pnfs_commit_ds, 0x5a4314e9, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_pg_init_read, 0x1d57c82c, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_pg_init_read, 0x618272f4, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_pg_init_read, 0xba53a1ef, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_pg_init_write, 0x0d381e90, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_pg_init_write, 0xe6085d8d, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_pg_init_write, 0x0ff289f3, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_pg_get_mirror_count, 0x8be24f50, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_pg_get_mirror_count, 0x3c079fbf, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_pg_get_mirror_count, 0x7cd013a8, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_read_done, 0xdd342fa8, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_read_done, 0xde5884e5, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_read_done, 0x7a4e7f4e, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_write_done, 0x6e637af7, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_write_done, 0xf124983f, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_write_done, 0x27ad47ea, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_read_pagelist, 0x555bb1db, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_read_pagelist, 0xc672d949, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_read_pagelist, 0x579126b8, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_write_pagelist, 0x0bd06bd1, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_write_pagelist, 0xb2fcd103, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_write_pagelist, 0xdf6991a4, "_gpl");
SYMBOL_CRC(__tracepoint_ff_layout_read_error, 0x18b41178, "_gpl");
SYMBOL_CRC(__traceiter_ff_layout_read_error, 0x535078ae, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ff_layout_read_error, 0x785c06ab, "_gpl");
SYMBOL_CRC(__tracepoint_ff_layout_write_error, 0x2f1e21ba, "_gpl");
SYMBOL_CRC(__traceiter_ff_layout_write_error, 0x62e54510, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ff_layout_write_error, 0x30a44ac3, "_gpl");
SYMBOL_CRC(__tracepoint_ff_layout_commit_error, 0x2174b794, "_gpl");
SYMBOL_CRC(__traceiter_ff_layout_commit_error, 0x9e5132e7, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ff_layout_commit_error, 0x08b2c467, "_gpl");
SYMBOL_CRC(__tracepoint_bl_pr_key_reg, 0x39d8a50e, "_gpl");
SYMBOL_CRC(__traceiter_bl_pr_key_reg, 0x786065b6, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bl_pr_key_reg, 0x02884be0, "_gpl");
SYMBOL_CRC(__tracepoint_bl_pr_key_reg_err, 0x0ea40716, "_gpl");
SYMBOL_CRC(__traceiter_bl_pr_key_reg_err, 0x17e14c9f, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bl_pr_key_reg_err, 0x90c878c7, "_gpl");
SYMBOL_CRC(__tracepoint_bl_pr_key_unreg, 0x13776549, "_gpl");
SYMBOL_CRC(__traceiter_bl_pr_key_unreg, 0xc6f74497, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bl_pr_key_unreg, 0x94384f04, "_gpl");
SYMBOL_CRC(__tracepoint_bl_pr_key_unreg_err, 0x6bec9822, "_gpl");
SYMBOL_CRC(__traceiter_bl_pr_key_unreg_err, 0x77fb3b84, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bl_pr_key_unreg_err, 0x33759ebd, "_gpl");
SYMBOL_CRC(__tracepoint_fl_getdevinfo, 0xb4284c9b, "_gpl");
SYMBOL_CRC(__traceiter_fl_getdevinfo, 0x25d84849, "_gpl");
SYMBOL_CRC(__SCK__tp_func_fl_getdevinfo, 0x8f78a275, "_gpl");
SYMBOL_CRC(pnfs_register_layoutdriver, 0x15cb6b28, "_gpl");
SYMBOL_CRC(pnfs_unregister_layoutdriver, 0x0d8ccb0b, "_gpl");
SYMBOL_CRC(pnfs_put_lseg, 0x309af685, "_gpl");
SYMBOL_CRC(pnfs_destroy_layout, 0xe5ff8f32, "_gpl");
SYMBOL_CRC(pnfs_generic_layout_insert_lseg, 0x9ad8c39a, "_gpl");
SYMBOL_CRC(pnfs_update_layout, 0x56bfdb4e, "_gpl");
SYMBOL_CRC(pnfs_error_mark_layout_for_return, 0x354bbe08, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_check_layout, 0x5d595acc, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_init_read, 0x74be1d32, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_init_write, 0x967bbb31, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_cleanup, 0x1caf603e, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_test, 0xb4e005d2, "_gpl");
SYMBOL_CRC(pnfs_write_done_resend_to_mds, 0x0b5dea3b, "_gpl");
SYMBOL_CRC(pnfs_ld_write_done, 0x94f50a07, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_writepages, 0xb8c401b0, "_gpl");
SYMBOL_CRC(pnfs_read_done_resend_to_mds, 0x2d2db66d, "_gpl");
SYMBOL_CRC(pnfs_ld_read_done, 0x4367cfb7, "_gpl");
SYMBOL_CRC(pnfs_read_resend_pnfs, 0x66fc887e, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_readpages, 0x89883c9b, "_gpl");
SYMBOL_CRC(pnfs_set_lo_fail, 0x725734c3, "_gpl");
SYMBOL_CRC(pnfs_set_layoutcommit, 0x99bbb762, "_gpl");
SYMBOL_CRC(pnfs_layoutcommit_inode, 0x8eefad58, "_gpl");
SYMBOL_CRC(pnfs_generic_sync, 0xbb286ee5, "_gpl");
SYMBOL_CRC(pnfs_report_layoutstat, 0xa35ff1bb, "_gpl");
SYMBOL_CRC(layoutstats_timer, 0x054bef45, "_gpl");
SYMBOL_CRC(nfs4_print_deviceid, 0xed15fb41, "_gpl");
SYMBOL_CRC(nfs4_find_get_deviceid, 0x0009eee7, "_gpl");
SYMBOL_CRC(nfs4_delete_deviceid, 0x06a92f22, "_gpl");
SYMBOL_CRC(nfs4_init_deviceid_node, 0xcebb46be, "_gpl");
SYMBOL_CRC(nfs4_put_deviceid_node, 0x845e9bad, "_gpl");
SYMBOL_CRC(nfs4_mark_deviceid_available, 0xee66ea1c, "_gpl");
SYMBOL_CRC(nfs4_mark_deviceid_unavailable, 0xe3a47e38, "_gpl");
SYMBOL_CRC(nfs4_test_deviceid_unavailable, 0xa632feb0, "_gpl");
SYMBOL_CRC(pnfs_generic_rw_release, 0x69d3558d, "_gpl");
SYMBOL_CRC(pnfs_generic_prepare_to_resend_writes, 0x01aaa031, "_gpl");
SYMBOL_CRC(pnfs_generic_write_commit_done, 0xe3ba21f0, "_gpl");
SYMBOL_CRC(pnfs_generic_commit_release, 0xf999267e, "_gpl");
SYMBOL_CRC(pnfs_generic_clear_request_commit, 0x340a991d, "_gpl");
SYMBOL_CRC(pnfs_alloc_commit_array, 0xbd3a90ca, "_gpl");
SYMBOL_CRC(pnfs_free_commit_array, 0xfbd6b904, "_gpl");
SYMBOL_CRC(pnfs_add_commit_array, 0x89db6750, "_gpl");
SYMBOL_CRC(pnfs_generic_ds_cinfo_release_lseg, 0xc448d95b, "_gpl");
SYMBOL_CRC(pnfs_generic_ds_cinfo_destroy, 0xee513af7, "_gpl");
SYMBOL_CRC(pnfs_generic_scan_commit_lists, 0x057b6579, "_gpl");
SYMBOL_CRC(pnfs_generic_recover_commit_reqs, 0x1ed558b8, "_gpl");
SYMBOL_CRC(pnfs_generic_commit_pagelist, 0x50aaaf31, "_gpl");
SYMBOL_CRC(nfs4_pnfs_ds_put, 0xf0f19671, "_gpl");
SYMBOL_CRC(nfs4_pnfs_ds_add, 0x47f3d751, "_gpl");
SYMBOL_CRC(nfs4_pnfs_ds_connect, 0x833c1bb3, "_gpl");
SYMBOL_CRC(nfs4_decode_mp_ds_addr, 0xc28cb42c, "_gpl");
SYMBOL_CRC(pnfs_layout_mark_request_commit, 0x4abbc687, "_gpl");
SYMBOL_CRC(pnfs_nfs_generic_sync, 0x8dba4e86, "_gpl");
SYMBOL_CRC(nfs42_proc_layouterror, 0x934a3204, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x27e6f616, "rpc_put_task" },
	{ 0x21955cf8, "nfs4_stat_to_errno" },
	{ 0x9e3698e, "svc_generic_rpcbind_set" },
	{ 0x95cef7ba, "nfs_clone_server" },
	{ 0x52238b9a, "nfs_access_add_cache" },
	{ 0x987c4165, "filemap_fdatawrite" },
	{ 0xccadd269, "nfs_show_stats" },
	{ 0xdbdf5fa2, "nfs_server_remove_lists" },
	{ 0x74f7c601, "shrinker_alloc" },
	{ 0x4983615e, "nfs42_ssc_unregister" },
	{ 0x1b373292, "generic_listxattr" },
	{ 0xacfb26e0, "try_module_get" },
	{ 0x2ecd9248, "revert_creds" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x4dd12f7f, "vmemmap" },
	{ 0x3831e638, "nfs_writeback_update_inode" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xa7bc6f3e, "clear_inode" },
	{ 0x63aadd71, "inode_to_bdi" },
	{ 0xed99c825, "bpf_trace_run4" },
	{ 0x3a62a0a5, "user_destroy" },
	{ 0x3761d215, "idr_find" },
	{ 0xe2074243, "param_ops_uint" },
	{ 0xd9cccfbe, "user_revoke" },
	{ 0x1df268a9, "d_exact_alias" },
	{ 0xa6f59903, "nfs_alloc_client" },
	{ 0xdae9b5d7, "nfs4_disable_idmapping" },
	{ 0x4b34a59e, "nfs_mark_client_ready" },
	{ 0x1fc7a623, "rpc_clnt_probe_trunked_xprts" },
	{ 0x72eab76b, "nfs_pageio_reset_read_mds" },
	{ 0x5eeccd04, "xdr_write_pages" },
	{ 0xcdc39c9e, "security_ismaclabel" },
	{ 0x8b108da5, "rpc_shutdown_client" },
	{ 0xc42b9e2f, "svc_bind" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0x132645e, "nfs_d_prune_case_insensitive_aliases" },
	{ 0x40739385, "nfs_wait_bit_killable" },
	{ 0xeda93c28, "nfs_free_inode" },
	{ 0x1dc2024, "nfs_access_zap_cache" },
	{ 0x587be9ba, "nfs_sb_deactive" },
	{ 0x32dec6a5, "nfs_wb_all" },
	{ 0xd04ee77, "__break_lease" },
	{ 0x99e89b22, "nfs_pageio_init_write" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0x4ab68142, "svc_recv" },
	{ 0xd0e59077, "nfs_drop_inode" },
	{ 0x98de1c15, "snprintf" },
	{ 0xaca0aef0, "complete" },
	{ 0xedd84d29, "xdr_inline_decode" },
	{ 0x3905d453, "nfs_pageio_init_read" },
	{ 0x3bf91973, "trace_raw_output_prep" },
	{ 0xd0f2f88e, "__s390_indirect_jump_r13" },
	{ 0x62c44cec, "nfs_wait_client_init_complete" },
	{ 0x6e9dd606, "__symbol_put" },
	{ 0xdfd4579b, "nfs_init_commit" },
	{ 0x111d20f4, "nfs_commitdata_release" },
	{ 0xc2a773f2, "bpf_trace_run6" },
	{ 0x30fe4daa, "list_lru_destroy" },
	{ 0xca9360b5, "rb_next" },
	{ 0xdc73d92b, "rpc_net_ns" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0xab2e4c54, "__trace_trigger_soft_disabled" },
	{ 0xae0a9a24, "nfs_mknod" },
	{ 0x9fc90c94, "nfs_inode_attach_open_context" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0xd558b8e0, "nfs4_label_alloc" },
	{ 0x24aaca8e, "rpc_localaddr" },
	{ 0x64d74e24, "rpc_wake_up" },
	{ 0xdd691402, "xprt_find_transport_ident" },
	{ 0xa59b5f9c, "trace_event_printf" },
	{ 0x280eef53, "nfs_access_get_cached" },
	{ 0xbef53f33, "scnprintf" },
	{ 0x8d0fd4ef, "idr_replace" },
	{ 0x96d597f1, "nfs_lock" },
	{ 0x1eb78b9c, "unregister_key_type" },
	{ 0x35f6c58b, "nfs_client_init_is_complete" },
	{ 0xf1cc60f3, "nfs_file_splice_read" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x2d7be040, "d_splice_alias" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x45b9877f, "prepare_to_wait" },
	{ 0x6df1aaf1, "kernel_sigaction" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x98dc77b9, "trace_event_raw_init" },
	{ 0x95a49194, "user_preparse" },
	{ 0x98b705ac, "trace_print_symbols_seq" },
	{ 0x236c8c64, "memcpy" },
	{ 0x8b910be2, "errseq_sample" },
	{ 0x83dee021, "ihold" },
	{ 0x3fc63f9b, "truncate_pagecache_range" },
	{ 0x76a315ea, "rpc_peeraddr" },
	{ 0x37a0cba, "kfree" },
	{ 0x905e957c, "invalidate_inode_pages2_range" },
	{ 0x15faa25b, "nfs_post_op_update_inode" },
	{ 0xdc7ce34b, "svc_exit_thread" },
	{ 0xd0192517, "iput" },
	{ 0x129a2f21, "xdr_set_pagelen" },
	{ 0x8bda5ba, "nfs_pgio_header_free" },
	{ 0x4039fa5d, "nfs_request_add_commit_list_locked" },
	{ 0x7f4c565b, "add_wait_queue" },
	{ 0x6429446d, "logfc" },
	{ 0xabde6696, "nfs_pgio_header_alloc" },
	{ 0xc71157bb, "iter_file_splice_write" },
	{ 0x558fe084, "rpc_pton" },
	{ 0xfeb21881, "nfs_sb_active" },
	{ 0xe64942fd, "mod_node_page_state" },
	{ 0x62aa0b9, "rpc_ntop" },
	{ 0x7bbc400, "rpc_wake_up_queued_task" },
	{ 0x3bafaf0a, "bpf_trace_run2" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0x2029ca71, "xdr_stream_zero" },
	{ 0x1e119a79, "rpcauth_get_pseudoflavor" },
	{ 0xe08ab3f3, "rpc_restart_call_prepare" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xb4734ef4, "_copy_from_pages" },
	{ 0x390ad215, "__module_get" },
	{ 0x9cf764b1, "rpc_task_release_transport" },
	{ 0xac275b09, "xdr_page_pos" },
	{ 0x35ab7323, "nfs_file_release" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0xab7e8e2b, "nfs_pgio_current_mirror" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x104dc5e7, "key_instantiate_and_link" },
	{ 0x2330ceef, "trace_print_hex_seq" },
	{ 0x4dda726b, "match_strlcpy" },
	{ 0xbabddda, "xdr_read_pages" },
	{ 0x65994f1, "xdr_encode_opaque_fixed" },
	{ 0xccf19bea, "register_key_type" },
	{ 0xa41ce154, "rpc_sleep_on" },
	{ 0x354205ee, "rpc_run_task" },
	{ 0xcdbaa40b, "nfs_pageio_resend" },
	{ 0x70cbec94, "keyring_alloc" },
	{ 0xae2cc0c3, "vfs_setpos" },
	{ 0x36d17247, "nfs_create" },
	{ 0x7088f184, "complete_request_key" },
	{ 0x3c04844d, "__put_cred" },
	{ 0x56db02e7, "nfs_update_delegated_mtime" },
	{ 0x45d16b50, "nfs_statfs" },
	{ 0x68d698d3, "wake_up_process" },
	{ 0x2bb615d2, "shrinker_free" },
	{ 0x9ae47436, "_find_last_bit" },
	{ 0x56b5b28a, "splice_file_range" },
	{ 0xd8612ca, "rpc_max_bc_payload" },
	{ 0x29734170, "trace_event_buffer_commit" },
	{ 0x584b8482, "nfs_inc_attr_generation_counter" },
	{ 0x90a5530f, "nfsiod_workqueue" },
	{ 0xc0d5eaec, "vm_layout" },
	{ 0x311e5b9a, "nfs_local_probe_async" },
	{ 0x2585006a, "rpc_clnt_xprt_switch_add_xprt" },
	{ 0xe73caaec, "locks_lock_inode_wait" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0xb782d964, "nfs_mkdir" },
	{ 0xcf36e8a7, "nfs_revalidate_inode" },
	{ 0x7cbfc54, "inode_newsize_ok" },
	{ 0x20db1b46, "nfs_file_mmap" },
	{ 0xc47457ee, "nfs_get_lock_context" },
	{ 0xfcaa1c2d, "d_drop" },
	{ 0x92997ed8, "_printk" },
	{ 0x322ebbb4, "nfs_set_cache_invalid" },
	{ 0xa3743d9b, "rpc_release_client" },
	{ 0x225819e5, "rpc_clnt_manage_trunked_xprts" },
	{ 0xf4c3ce01, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x4b55f0df, "xdr_enter_page" },
	{ 0xdceb177a, "rpc_clnt_setup_test_and_add_xprt" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0x8963e204, "unregister_sysctl_table" },
	{ 0x8683ba89, "nfs_generic_pgio" },
	{ 0xf8f8b538, "make_kuid" },
	{ 0x24b0ec90, "truncate_inode_pages_final" },
	{ 0xa14b9f46, "generic_setlease" },
	{ 0x959a6459, "__kmalloc_large_noprof" },
	{ 0x5615036f, "xprt_destroy_backchannel" },
	{ 0x640253d5, "rpc_switch_client_transport" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0xc04c686d, "nfs_scan_commit_list" },
	{ 0x188c2819, "xdr_stream_decode_string_dup" },
	{ 0xce8bd9ce, "nfs_commit_inode" },
	{ 0xffc812a2, "shrinker_register" },
	{ 0xae9809a5, "locks_init_lock" },
	{ 0xa8e9e1ae, "send_implementation_id" },
	{ 0x7f28f78f, "rpc_destroy_pipe_data" },
	{ 0xc531b7ac, "nfs_get_client" },
	{ 0x554bf13, "__free_pages" },
	{ 0x9f984513, "strrchr" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0x16e297c3, "bit_wait" },
	{ 0xed61f6b3, "security_release_secctx" },
	{ 0x83f48334, "init_task" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x78980a82, "nfs_atomic_open" },
	{ 0xf7e3d854, "rpc_pipe_generic_upcall" },
	{ 0xa7c80609, "nfs_file_fsync" },
	{ 0x1f575580, "module_put" },
	{ 0x45f17fb6, "__var_waitqueue" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0xf68ec5a3, "mntput" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0xb1903696, "nfs_put_lock_context" },
	{ 0x7b4dac4f, "nfs_rename" },
	{ 0x2e02cb98, "nfs_lookup" },
	{ 0x769f6e64, "errseq_check" },
	{ 0x800473f, "__cond_resched" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x5d633451, "nfs_sysfs_link_rpc_client" },
	{ 0x581d2703, "nfs_put_client" },
	{ 0x5ea31004, "arch_spin_trylock_retry" },
	{ 0x2b64d85d, "nfs_show_options" },
	{ 0xd9af1304, "dns_query" },
	{ 0x26884ff7, "nfs_alloc_fhandle" },
	{ 0x129f892f, "key_put" },
	{ 0x868784cb, "__symbol_get" },
	{ 0x1d41e5e1, "mount_subtree" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x155fb631, "get_nfs_open_context" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0xb582e744, "perf_trace_run_bpf_submit" },
	{ 0x737e50, "nfs_clear_verifier_delegated" },
	{ 0xdfee029c, "nfs_sysfs_add_server" },
	{ 0xc7affca3, "fput" },
	{ 0xd3cf1c01, "down_write" },
	{ 0xf4ce4b0, "rpc_machine_cred" },
	{ 0x42f2c81f, "nfs4_client_id_uniquifier" },
	{ 0xfad6964c, "nfs_do_submount" },
	{ 0x3b4d2c41, "vfs_dup_fs_context" },
	{ 0xd2510a63, "up_write" },
	{ 0x6ccc34dd, "sort" },
	{ 0x61e8ec2, "request_key_with_auxdata" },
	{ 0x5f379c9b, "rpc_clone_client_set_auth" },
	{ 0x4b73cd2e, "rpc_clone_client" },
	{ 0x8158a393, "svc_set_num_threads" },
	{ 0x4e3567f7, "match_int" },
	{ 0xe7b89314, "nfs_client_init_status" },
	{ 0x8c47afca, "idr_alloc" },
	{ 0x339b9e01, "svc_rpcb_cleanup" },
	{ 0x4dea1053, "memchr" },
	{ 0xc6f0a84, "user_describe" },
	{ 0x2d62372, "put_fs_context" },
	{ 0x29d209cc, "nfs_retry_commit" },
	{ 0x4517ae53, "nfs4_dentry_operations" },
	{ 0x1eca413e, "__module_put_and_kthread_exit" },
	{ 0xdc47f71e, "rpc_peeraddr2str" },
	{ 0xe8ba125d, "kmemdup_nul" },
	{ 0xf9801e26, "nfs_client_for_each_server" },
	{ 0x9034dd40, "nfs_clear_inode" },
	{ 0xb216a41b, "rpc_sleep_on_priority" },
	{ 0xbf99ceed, "nfs_invalidate_atime" },
	{ 0xf94dd9da, "bpf_trace_run5" },
	{ 0x954f099c, "idr_preload" },
	{ 0x1612fc10, "nfs_umount_begin" },
	{ 0x3b756f6a, "crc32_le" },
	{ 0x17de3f5f, "nfs_getattr" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x5ddff97b, "nfs_pageio_reset_write_mds" },
	{ 0x70e3561, "kmem_cache_free" },
	{ 0x94a60ad2, "nfs_generic_pg_test" },
	{ 0x85abc85f, "strncmp" },
	{ 0x89fb5ed8, "xdr_stream_subsegment" },
	{ 0x856ffd2f, "nfs_zap_acl_cache" },
	{ 0x82d79b51, "sysctl_vfs_cache_pressure" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0x9a7e3678, "nfs_fscache_open_file" },
	{ 0x63dfe264, "from_kgid" },
	{ 0x887773b0, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x83746503, "nfs_write_inode" },
	{ 0x96a98f6e, "nfs_request_remove_commit_list" },
	{ 0x6f53043d, "wait_for_completion_interruptible" },
	{ 0x71e3d5c5, "rpc_wake_up_first" },
	{ 0x75b9ff8e, "alloc_nfs_open_context" },
	{ 0xe289e845, "list_lru_add_obj" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xfb435ce, "vfs_parse_fs_param" },
	{ 0xce4d8a03, "nfs_path" },
	{ 0x46805e9d, "rpc_sleep_on_priority_timeout" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x2fa5a500, "memcmp" },
	{ 0x13bac07, "nfs_create_rpc_client" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xa5377117, "register_nfs_version" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x490477b8, "rpc_sleep_on_timeout" },
	{ 0xdb819aae, "list_lru_count_one" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0x7b1dba82, "svc_destroy" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0xdb99b2e, "rpc_call_start" },
	{ 0x419c7ea2, "xprt_setup_backchannel" },
	{ 0x84d7e8, "bpf_trace_run1" },
	{ 0x2a7cafa0, "svc_create" },
	{ 0x4c096d40, "rpc_clnt_iterate_for_each_xprt" },
	{ 0xd5730924, "nfs_file_set_open_context" },
	{ 0x14393e5d, "rpc_init_priority_wait_queue" },
	{ 0x3f2690f2, "nfs_check_flags" },
	{ 0x45f6101d, "rpc_call_sync" },
	{ 0xeb74b8ac, "from_kuid" },
	{ 0xbb0b0242, "rpc_put_task_async" },
	{ 0x70aeebde, "rpc_prepare_reply_pages" },
	{ 0xd7c12521, "rpc_queue_upcall" },
	{ 0xe8752b89, "nfs_free_server" },
	{ 0x85ba719, "fc_mount" },
	{ 0x9bd0c00e, "register_sysctl_sz" },
	{ 0xbe531761, "nfs_setattr" },
	{ 0x36ff0856, "xdr_terminate_string" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xde4f1b04, "nfs4_fs_type" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xb0c1153, "key_revoke" },
	{ 0xa05ca625, "nfs_fattr_init" },
	{ 0x42bccaa0, "rpc_delay" },
	{ 0x349884c, "nfs_flock" },
	{ 0x46e62075, "__list_lru_init" },
	{ 0x79b045b6, "kmem_cache_alloc_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0xe442d5d2, "svc_generic_init_request" },
	{ 0xb5d3119d, "_atomic_dec_and_lock" },
	{ 0x8f042877, "key_validate" },
	{ 0x98b0ece8, "nfs_init_timeout_values" },
	{ 0x680028c8, "rpc_exit" },
	{ 0x725452ae, "make_kgid" },
	{ 0xece784c2, "rb_first" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x5c131701, "__kmem_cache_create_args" },
	{ 0x3b8fa95b, "rpc_remove_pipe_dir_object" },
	{ 0x5fdf0acd, "nfs_may_open" },
	{ 0xaf5a2906, "from_kgid_munged" },
	{ 0xfc619abd, "_nfs_display_fhandle" },
	{ 0xb3687850, "out_of_line_wait_on_bit_lock" },
	{ 0xec9f5606, "nfs_server_copy_userdata" },
	{ 0x832e8f0b, "nfs_alloc_fattr" },
	{ 0x103bafd6, "down_read" },
	{ 0xf7cb8737, "xdr_reserve_space" },
	{ 0x6d56c863, "rpcauth_lookupcred" },
	{ 0xe798236d, "jiffies" },
	{ 0x9b58f1c1, "kthread_create_on_node" },
	{ 0xd5127d6a, "list_lru_isolate" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x1a23ea, "nfs_rmdir" },
	{ 0x6397b05e, "bpf_trace_run3" },
	{ 0x5807d305, "override_creds" },
	{ 0x4cb9e001, "recover_lost_locks" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0x8574bb03, "trace_print_flags_seq" },
	{ 0xbfe7eb10, "nfs_filemap_write_and_wait_range" },
	{ 0x6a142fa4, "rpc_mkpipe_dentry" },
	{ 0xda6815b, "alloc_file_pseudo" },
	{ 0x8677f3ce, "rpc_mkpipe_data" },
	{ 0x2ff6bc2c, "rpc_add_pipe_dir_object" },
	{ 0xe31b8104, "igrab" },
	{ 0x69ac4cf1, "unregister_nfs_version" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xdb7d7b4, "nfs_async_iocounter_wait" },
	{ 0xa190128e, "nfs_file_read" },
	{ 0x9432d220, "trace_event_buffer_reserve" },
	{ 0xee74bf2e, "nfs_alloc_fattr_with_label" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xbb5636d5, "filemap_fdatawait_range" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x4d5fe525, "percpu_counter_add_batch" },
	{ 0x87c46792, "nfs_commitdata_alloc" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xf1155e19, "nfs_setattr_update_inode" },
	{ 0x42e1b988, "nfs_instantiate" },
	{ 0x8de96939, "init_user_ns" },
	{ 0x89255ba4, "rpc_uaddr2sockaddr" },
	{ 0x1e397f36, "user_read" },
	{ 0xc4e2ee61, "rpc_restart_call" },
	{ 0x5cdc05bb, "request_key_tag" },
	{ 0xcfc8285e, "xprt_force_disconnect" },
	{ 0x45c04efa, "user_free_preparse" },
	{ 0x2c93ea9c, "rpc_clnt_xprt_switch_remove_xprt" },
	{ 0x646ed289, "svc_xprt_destroy_all" },
	{ 0x6c2a2b83, "generic_key_instantiate" },
	{ 0xeb287fee, "inc_nlink" },
	{ 0x44e9a829, "match_token" },
	{ 0x135af473, "nfs_link" },
	{ 0x71f13c2d, "__folio_put" },
	{ 0xa06c1497, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x2af148fb, "list_lru_walk_one" },
	{ 0xc3a2be67, "nfs_net_id" },
	{ 0xb919a93d, "rpcauth_stringify_acceptor" },
	{ 0x56470118, "__warn_printk" },
	{ 0x3b5f1ef4, "dput" },
	{ 0x92a16af7, "lockref_get" },
	{ 0x74db064d, "rpc_init_wait_queue" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x741ca60d, "xdr_stream_move_subsegment" },
	{ 0x44a22182, "put_rpccred" },
	{ 0x294c6a2, "nfs_callback_nr_threads" },
	{ 0xcd86b59c, "nfs_post_op_update_inode_force_wcc" },
	{ 0x656c7fd7, "nfs_pgheader_init" },
	{ 0xe4865e00, "put_nfs_open_context" },
	{ 0x7a489aad, "nfs_show_path" },
	{ 0x75c70ecb, "nfs_show_devname" },
	{ 0xa11d55e2, "nfs_permission" },
	{ 0x603a4ead, "nfs_initiate_commit" },
	{ 0xbb7a7ca6, "truncate_inode_pages_range" },
	{ 0x76a7c652, "__put_user_ns" },
	{ 0xd9a6d66b, "alloc_pages_noprof" },
	{ 0xab1292df, "cred_fscmp" },
	{ 0x4c29f627, "rpc_unlink" },
	{ 0x3be7cf0b, "nfs_sync_inode" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x74a6214c, "proc_dointvec" },
	{ 0xbfd9f046, "remove_wait_queue" },
	{ 0xa888f6bd, "nfs_file_write" },
	{ 0xaafd4acc, "max_session_cb_slots" },
	{ 0xcaf2bbf2, "node_data" },
	{ 0x44b65fd7, "nfs_probe_server" },
	{ 0x893f3995, "nfs_setsecurity" },
	{ 0x889e414f, "__s390_indirect_jump_r11" },
	{ 0x1f3e5180, "rpc_clnt_xprt_switch_has_addr" },
	{ 0x5acedd69, "rpc_clnt_test_and_add_xprt" },
	{ 0x2df89ad5, "file_ra_state_init" },
	{ 0xd1f8c30d, "nfs_force_lookup_revalidate" },
	{ 0x94d881e7, "nfs_file_llseek" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x5316325d, "rpc_clnt_add_xprt" },
	{ 0x349b5bb2, "dget_parent" },
	{ 0xd03e5eda, "from_kuid_munged" },
	{ 0x276e0980, "prepare_kernel_cred" },
	{ 0x8f288bb7, "nfs_alloc_server" },
	{ 0x4acd2042, "rpc_call_async" },
	{ 0xf17795bc, "security_dentry_init_security" },
	{ 0x78117b6c, "filemap_write_and_wait_range" },
	{ 0x48764d74, "list_lru_del_obj" },
	{ 0x74297187, "nfs_server_insert_lists" },
	{ 0xd87eb354, "nfs_dreq_bytes_left" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x157c7eb, "nfs_free_client" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0xb1f3ece3, "rpc_init_pipe_dir_object" },
	{ 0x5577b264, "bpf_trace_run7" },
	{ 0xf0c33c64, "nfs_refresh_inode" },
	{ 0xd88dbbf4, "refcount_dec_and_lock" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x91d1fe52, "max_session_slots" },
	{ 0x349cba85, "strchr" },
	{ 0x8e162a8, "nfs_access_set_mask" },
	{ 0x700f270a, "nfs_init_server_rpcclient" },
	{ 0x10b82c4e, "__mark_inode_dirty" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0xb8a53377, "rpc_set_connect_timeout" },
	{ 0x42e74042, "rpcauth_create" },
	{ 0x38cc148b, "xdr_stream_pos" },
	{ 0x6d880037, "__kvmalloc_node_noprof" },
	{ 0x32cafa14, "key_set_timeout" },
	{ 0xff557e80, "trace_handle_return" },
	{ 0xefa414fb, "nfs_delay_retrans" },
	{ 0xaf5bf6ef, "nfs_debug" },
	{ 0x10962bc2, "nfs_auth_info_match" },
	{ 0x555ccb97, "up_read" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0x39e05ac3, "nfs_idmap_cache_timeout" },
	{ 0x3cf82754, "svc_xprt_create" },
	{ 0xd07e12d9, "nfs42_ssc_register" },
	{ 0x2daec43f, "rpc_wait_for_completion_task" },
	{ 0x1e1cf0ef, "drop_nlink" },
	{ 0xf9a482f9, "msleep" },
	{ 0x2bc19da, "rpc_num_bc_slots" },
	{ 0x546309aa, "nfs_alloc_inode" },
	{ 0x85d07771, "rpc_destroy_wait_queue" },
	{ 0x43897f0e, "kmalloc_caches" },
	{ 0xdab04065, "security_inode_listsecurity" },
	{ 0xe02efc15, "nfs_fhget" },
	{ 0x686cf64a, "nfs_symlink" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xf817e80e, "locks_copy_lock" },
	{ 0xa687b5a0, "kmem_cache_destroy" },
	{ 0x51892d61, "nfs_callback_set_tcpport" },
	{ 0xdbd690c8, "nfs_unlink" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x93f5fe87, "nfs_set_verifier" },
	{ 0x664846e8, "proc_dointvec_minmax" },
	{ 0x68c9bdfc, "module_layout" },
};

MODULE_INFO(depends, "sunrpc,nfs,dns_resolver");


MODULE_INFO(srcversion, "40A1B6D6A74ADAFE1FF59F3");
MODULE_INFO(rhelversion, "10.1");
