#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ipt_alloc_initial_table, "_gpl", "");
KSYMTAB_FUNC(ipt_register_table, "", "");
KSYMTAB_FUNC(ipt_unregister_table_pre_exit, "", "");
KSYMTAB_FUNC(ipt_unregister_table_exit, "", "");
KSYMTAB_FUNC(ipt_do_table, "", "");

SYMBOL_CRC(ipt_alloc_initial_table, 0x4dd121e1, "_gpl");
SYMBOL_CRC(ipt_register_table, 0x2bd9d8ed, "");
SYMBOL_CRC(ipt_unregister_table_pre_exit, 0xc2932f4d, "");
SYMBOL_CRC(ipt_unregister_table_exit, 0x55c7f6bf, "");
SYMBOL_CRC(ipt_do_table, 0x1ce2b181, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe46324ee, "xt_find_table" },
	{ 0x41a9602c, "nf_unregister_net_hooks" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x7156c37, "register_pernet_subsys" },
	{ 0xa0d563d6, "xt_register_targets" },
	{ 0x17991252, "nf_register_sockopt" },
	{ 0x24b23aec, "xt_unregister_targets" },
	{ 0x39bae1be, "unregister_pernet_subsys" },
	{ 0x5f5bd3e7, "xt_proto_fini" },
	{ 0xc2546dc9, "xt_proto_init" },
	{ 0x1bec184d, "nf_unregister_sockopt" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x92997ed8, "_printk" },
	{ 0x9c995c69, "xt_percpu_counter_alloc" },
	{ 0xc5e50348, "xt_request_find_match" },
	{ 0x110c4e7b, "xt_check_match" },
	{ 0x1f575580, "module_put" },
	{ 0xbfacb837, "xt_percpu_counter_free" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0x276c5947, "xt_request_find_target" },
	{ 0x298fa137, "xt_check_target" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0x35af162d, "xt_unregister_table" },
	{ 0xe204e042, "xt_free_table_info" },
	{ 0xcb3e91cc, "xt_counters_alloc" },
	{ 0xda2b93e2, "xt_request_find_table_lock" },
	{ 0x971d15aa, "xt_table_unlock" },
	{ 0x999e8297, "vfree" },
	{ 0xc8fc8651, "xt_replace_table" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x800473f, "__cond_resched" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0x807d2b2c, "xt_recseq" },
	{ 0xd7f5fcd, "xt_alloc_entry_offsets" },
	{ 0xd87ae60d, "xt_check_entry_offsets" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x3bf9d084, "xt_check_table_hooks" },
	{ 0xfef779fa, "xt_find_jump_offset" },
	{ 0x977fd4bf, "xt_alloc_table_info" },
	{ 0x236c8c64, "memcpy" },
	{ 0xab8b611d, "xt_register_table" },
	{ 0xb1b03875, "kmemdup_array" },
	{ 0x755327bf, "nf_register_net_hooks" },
	{ 0xd3fcc511, "xt_tee_enabled" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x70c52dc5, "nf_skb_duplicated" },
	{ 0xafe593d1, "nf_log_trace" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xf7395ab, "ns_capable" },
	{ 0x30bae02c, "xt_find_table_lock" },
	{ 0xddf68fc6, "xt_find_revision" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0xff75ad95, "xt_match_to_user" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x4e3e749f, "xt_target_to_user" },
	{ 0xf6abeb06, "xt_copy_counters" },
	{ 0x68c9bdfc, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "B84ED08066BEB6A9C4F2C74");
MODULE_INFO(rhelversion, "10.1");
